/*
   +----------------------------------------------------------------------+
   | PHP version 4.0                                                      |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997, 1998, 1999, 2000, 2001 The PHP Group             |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors:                                                             |
   | Florian Wesch fw@dividuum.de                                         |
   +----------------------------------------------------------------------+
 */

#ifndef PHP_BF_H
#define PHP_BF_H

extern zend_module_entry bf_module_entry;
#define phpext_bf_ptr &bf_module_entry

#ifdef PHP_WIN32
#define PHP_BF_API __declspec(dllexport)
#else
#define PHP_BF_API
#endif

PHP_MINIT_FUNCTION(bf);
PHP_MSHUTDOWN_FUNCTION(bf);
PHP_RINIT_FUNCTION(bf);
PHP_RSHUTDOWN_FUNCTION(bf);
PHP_MINFO_FUNCTION(bf);

PHP_FUNCTION(confirm_bf_compiled);	/* For testing, remove later. */
PHP_FUNCTION(executebf);

#ifdef ZTS
#define BFG(v) (bf_globals->v)
#define BFLS_FETCH() php_bf_globals *bf_globals = ts_resource(bf_globals_id)
#else
#define BFG(v) (bf_globals.v)
#define BFLS_FETCH()
#endif

#endif	/* PHP_BF_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
